Changeset 1484 in genapp


Ignore:
Timestamp:
Jun 28, 2018, 12:28:41 PM (4 years ago)
Author:
ehb
Message:

Ubuntu 18.04 install support

File:
1 edited

Legend:

Unmodified
Added
Removed
  • sbin/install.pl

    r1483 r1484  
    201201
    202202if ( $os eq 'ubuntu' ) {
    203     die "only ubuntu 14.04 an 16.04 currently supported and this appears to be version $os_release\n$sorry" if $os_release != 14.04 && $os_release != 16.04;
     203    die "only ubuntu 14.04, 16.04 and 18.04 are currently supported and this appears to be version $os_release\n$sorry" if $os_release != 14.04 && $os_release != 16.04 && $os_release != 18.04;
    204204}
    205205
     
    890890
    891891# ------ ubuntu 16.04 ------
    892 if ( $os eq 'ubuntu' && $os_release == 16.04 ) {
     892if ( $os eq 'ubuntu' && ( $os_release == 16.04 || $os_release == 18.04 ) ) {
    893893    # install required modules
    894894
     895    my $zmqv = "3" if $os_release == 18.04;
     896
    895897    runcmd( "sudo add-apt-repository -y ppa:ondrej/php && sudo apt-get -y update" );
    896     runcmd( "sudo apt-get -y install mlocate build-essential apache2 php5.6-dev libapache2-mod-php5.6 php5.6-xml pkg-config re2c libzmq-dev uuid-dev abiword wget mongodb libmagickwand-6.q16-dev" );
     898    runcmd( "sudo apt-get -y install mlocate build-essential apache2 php5.6-dev libapache2-mod-php5.6 php5.6-xml pkg-config re2c libzmq${zmqv}-dev uuid-dev abiword wget mongodb libmagickwand-6.q16-dev" );
    897899
    898900# php-pear php-imagick php-mail php-mail-mime php-mongodb mongodb" );
Note: See TracChangeset for help on using the changeset viewer.